libpomp2-dev_2.0.4-1_i386.deb


Advertisement

Description

libpomp2-dev - OpenMP Pragma And Region Instrumentor - development files

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libpomp2-dev_2.0.4-1_i386.deb
Package name libpomp2-dev
Package version 2.0.4
Package release 1
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage http://www.vi-hps.org/Tools/OPARI2.html
License -
Maintainer Samuel Thibault <sthibault@debian.org>
Download size 42.36 KB
Installed size 216.00 KB
OPARI2 is a source-to-source translation tool which automatically adds all
necessary calls to the pomp runtime measurement library which allows one to
collect runtime performance data of Fortran, C, or C++ OpenMP applications.
This is the successor of opari (1), with a completely reworked API
This package contains the development files.

Alternatives

Package Version Architecture Repository
libpomp2-dev_2.0.4-1_amd64.deb 2.0.4 amd64 Debian Main
libpomp2-dev - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libstdc++6 >= 5.2
mawk -

Conflicts

Name Value
libpomp-dev -

Replaces

Name Value
libpomp-dev -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libpomp2-dev_2.0.4-1_i386.deb
Source Package opari2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpomp2-dev deb package:
    # sudo apt-get install libpomp2-dev

Files

Path
/usr/bin/opari2-config
/usr/include/opari2/pomp2_lib.h
/usr/include/opari2/pomp2_user_lib.h
/usr/lib/libpomp.a
/usr/lib/i386-linux-gnu/pomp2-parse-init-regions.awk
/usr/share/doc/libpomp2-dev/changelog.Debian.gz
/usr/share/doc/libpomp2-dev/changelog.gz
/usr/share/doc/libpomp2-dev/copyright
/usr/share/opari2/devel/opari2_ctc_parser.c
/usr/share/opari2/devel/opari2_ctc_parser.h
/usr/share/opari2/devel/opari2_ctc_token.h
/usr/share/opari2/devel/opari2_region_info.h
/usr/share/opari2/devel/pomp2_region_info.c
/usr/share/opari2/devel/pomp2_region_info.h
/usr/share/opari2/devel/pomp2_user_region_info.c
/usr/share/opari2/devel/pomp2_user_region_info.h

Changelog

2018-10-20 - Samuel Thibault <sthibault@debian.org>
opari2 (2.0.4-1) unstable; urgency=medium
[ Samuel Thibault ]
* New upstream release.
* control: Bump Standards-Version to 4.2.0 (no changes).
* tests: Add autopkgtest.
* control: Mark libpomp2-doc Multi-Arch: foreign.
[ Chris Lamb ]
* rules: Make the build reproducible.
[ Ondřej Nový ]
* d/control: Set Vcs-* to salsa.debian.org
2018-06-17 - Samuel Thibault <sthibault@debian.org>
opari2 (2.0.3-1) unstable; urgency=medium
* New upstream release.
- patches/POMP2_Section_end_MALLOC_PERTURB_.diff: Remove, fixed upstream.
- patches/reproducible: Remove, fixed upstream.
2018-04-29 - Samuel Thibault <sthibault@debian.org>
opari2 (2.0.2-4) unstable; urgency=medium
[ Chris Lamb]
* Make build reproducible (Closes: Bug#891412).
[ Samuel Thibault ]
* Bump Standards-Version to 4.1.4 (no changes).
2017-11-05 - Samuel Thibault <sthibault@debian.org>
opari2 (2.0.2-3) unstable; urgency=medium
* Restore building on non-Linux ports (Closes: #880672)
2017-11-03 - Samuel Thibault <sthibault@debian.org>
opari2 (2.0.2-2) unstable; urgency=medium
* patches/POMP2_Section_end_MALLOC_PERTURB_.diff: Update fix.
2017-11-02 - Samuel Thibault <sthibault@debian.org>
opari2 (2.0.2-1) unstable; urgency=medium
[ Andreas Beckman ]
* New upstream release.
* Use canonical https:// URLs.
* Switch to debhelper compat level 10.
[ Samuel Thibault ]
* New upstream release.
* Use canonical anonscm vcs URL.
* control: Migrate priority to optional.
* control: Bump Standards-Version to 4.1.1.
* patches/POMP2_Section_end_MALLOC_PERTURB_.diff: Fix allocation liveness
issue.
* rules, control: Use libjs-jquery.
2016-09-04 - Samuel Thibault <sthibault@debian.org>
opari2 (1.0.7+dfsg-6) unstable; urgency=medium
* Bump Standards-Version to 3.9.8 (no changes).
* compat: Bump to 9.
* rules: Clear.
* control: Drop hardening-wrapper dependency (Closes: Bug#836641).
2014-08-22 - Samuel Thibault <sthibault@debian.org>
opari2 (1.0.7+dfsg-5) unstable; urgency=medium
* Fix watch file.
* Use autoreconf.
2014-05-21 - Samuel Thibault <sthibault@debian.org>
opari2 (1.0.7+dfsg-4) unstable; urgency=medium
* Really use autotools-dev (Closes: #748820)
2014-05-19 - Samuel Thibault <sthibault@debian.org>
opari2 (1.0.7+dfsg-3) unstable; urgency=low
* Bump Standards-Version to 3.9.5 (no changes).
* Use autotools-dev (Closes: #748511)

See Also

Package Description
libpomp2-doc_2.0.4-1_all.deb OpenMP Pragma And Region Instrumentor - documentation
libpoppler-cil-dev_0.0.3-4_all.deb PDF rendering library -- CLI development files
libpoppler-cil_0.0.3-4_all.deb PDF rendering library -- CLI bindings
libpoppler-cpp-dev_0.71.0-5_i386.deb PDF rendering library -- development files (CPP interface)
libpoppler-cpp0v5_0.71.0-5_i386.deb PDF rendering library (CPP shared library)
libpoppler-dev_0.71.0-5_i386.deb PDF rendering library -- development files
libpoppler-glib-dev_0.71.0-5_i386.deb PDF rendering library -- development files (GLib interface)
libpoppler-glib-doc_0.71.0-5_all.deb PDF rendering library -- documentation for the GLib interface
libpoppler-glib8_0.71.0-5_i386.deb PDF rendering library (GLib-based shared library)
libpoppler-private-dev_0.71.0-5_i386.deb PDF rendering library -- private development files
libpoppler-qt5-1_0.71.0-5_i386.deb PDF rendering library (Qt 5 based shared library)
libpoppler-qt5-dev_0.71.0-5_i386.deb PDF rendering library -- development files (Qt 5 interface)
libpoppler82_0.71.0-5_i386.deb PDF rendering library
libpopplerkit-dev_0.0.20051227svn-8+b2_i386.deb GNUstep framework for rendering PDF content (development files)
libpopplerkit0_0.0.20051227svn-8+b2_i386.deb GNUstep framework for rendering PDF content (library files)
Advertisement
Advertisement